var app = {
	// Application Constructor
	initialize: function() {
		this.bindEvents();
	},
	// Bind Event Listeners
	//
	// Bind any events that are required on startup. Common events are:
	// 'load', 'deviceready', 'offline', and 'online'.
	bindEvents: function() {
		document.addEventListener('deviceready', this.onDeviceReady, false);
	},
	// deviceready Event Handler
	//
	// The scope of 'this' is the event. In order to call the 'receivedEvent'
	// function, we must explicity call 'app.receivedEvent(...);'
	onDeviceReady: function() {
		
		var server_url = "http://commercialogy.com/server-v2/";
		
		function autoLogin() {
			var stored_email = window.localStorage.getItem("user_email");
			var stored_phone = window.localStorage.getItem("user_phone");
			if(stored_email !== null && stored_phone !== null) {
				$.post(server_url + 'register.php', {'action':"login", 'email':stored_email, 'phone':stored_phone},
					function(data) {
						if(data != "success") {
							window.localStorage.removeItem("user_email");
							window.localStorage.removeItem("user_phone");
						}
					}, 'text');
			}
			setTimeout(function(){autoLogin()}, 1500000);
		}
		
		$("#submitButton").click(function(){
			$(this).prop('disabled', true);
			$("#ajaxLoaderR").css('visibility','visible');
			$("#errorMsgR").hide();
			var name = $("#sms-form input[name='name']").val();
			var email = $("#sms-form input[name='email']").val();
			var phone = $("#sms-form input[name='phone']").val();
			var message = 'SOTR Name: ' + name + ' Email: ' + email + ' Phone: ' + phone;
			var intent = ""; //leave empty for sending sms using default intent
			var number = "+15614044904";
			var success = function () {  };
			var error = function (e) {  };
			
			
			$.post(server_url + 'register.php', $("#sms-form").serialize(),
				function(data) {
					if(data == "success") {
						sms.send(number, message, intent, success, error);
						window.localStorage.setItem("user_email", email);
						window.localStorage.setItem("user_phone", phone);
						window.localStorage.setItem("user_login", true);
						window.location = "market.html";
					} else {
						$("#errorMsgR").html(data);
						$("#errorMsgR").show();
						$("#ajaxLoaderR").css('visibility','hidden');
						$("#submitButton").prop('disabled', false);
					}
				});
		});
		
		$("#submitLogin").click(function(){
			$(this).prop('disabled', true);
			$("#ajaxLoaderL").css('visibility','visible');
			$("#errorMsgL").hide();
			var email = $("#login-form input[name='email']").val();
			var phone = $("#login-form input[name='phone']").val();
									
			$.post(server_url + 'register.php', $("#login-form").serialize(),
				function(data) {
					if(data == "success") {
						window.localStorage.setItem("user_email", email);
						window.localStorage.setItem("user_phone", phone);
						window.localStorage.setItem("user_login", true);
						window.location = "market.html";
					} else {
						$("#errorMsgL").html(data);
						$("#errorMsgL").show();
						$("#ajaxLoaderL").css('visibility','hidden');
						$("#submitLogin").prop('disabled', false);
					}
				}, 'text');
		});
		
		$("#register-link").click(function(event){
			event.preventDefault();
			$("#register-div").show();
			$("#login-div").hide();
			});
		
		$("#login-link").click(function(event){
			event.preventDefault();
			$("#register-div").hide();
			$("#login-div").show();
			});
			
		//fb login
	   
	  $("#fb_login").click(function(event){
		 if (!window.cordova) {
			var appId = '444290379053341';
			facebookConnectPlugin.browserInit(appId);
		}
		facebookConnectPlugin.login( ["email"], 
			function (response) { 
				authResponseCache = response.authResponse;
				$("#ajaxLoaderFB").css('visibility','visible');
				$.post(server_url + 'fb_login.php', authResponseCache,
				function(ajaxdata){
					if(ajaxdata.result == "success") {
						window.location = "market.html";
					} else {
						$("#ajaxLoaderFB").css('visibility','hidden');
						alert(ajaxdata.message);
					}
					}, 'json'); 
				},
			function (response) { 
				
				});
		
		});
	}
};
app.initialize();
